﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.IO;

namespace example
{
    public partial class Form1 : Form
    {
        [DllImport("pdftoswf.dll", CallingConvention = CallingConvention.StdCall)]
        public static extern int MBegin();

        [DllImport("pdftoswf.dll", CallingConvention = CallingConvention.StdCall)]
        public static extern int MSetParam(int id, int itype, string sparam, int iparam);

        [DllImport("pdftoswf.dll", CallingConvention = CallingConvention.StdCall)]
        public static extern int MConvert(int id, string inpdf, string password, string outswf);

        [DllImport("pdftoswf.dll", CallingConvention = CallingConvention.StdCall)]
        public static extern int MEnd(int id);


        const int M_PAGE_RANGE	= 100;
        const int M_VERSION		= 101;
        const int M_PAGE_ZOOM	= 102;
        const int M_FRAMERATE	= 103;
        const int M_JPEG_QUALITY= 104;
        const int M_ARROW		= 105;
        const int M_BITMAPS		= 106;
        const int M_DISABLELINKS= 107;
        const int M_INSERTSTOP = 108;


        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string appPath = Path.GetDirectoryName(Application.ExecutablePath);
            string inFile = appPath + "\\test.pdf";
            string outFile = appPath + "\\output.swf";   
            
            int id = MBegin();    
            if(id>0)
            {
                MSetParam(id, M_PAGE_RANGE, "3,5-7,18-", 0);
                MSetParam(id, M_VERSION, "", 8);
                MSetParam(id, M_FRAMERATE, "0.5", 0);
                MSetParam(id, M_JPEG_QUALITY, "", 85);

                MConvert(id, inFile, "", outFile);
                MEnd(id);
	        }	
	        MessageBox.Show("Convert finished!");
        }

        private void button2_Click(object sender, EventArgs e)
        {
            string appPath = Path.GetDirectoryName(Application.ExecutablePath);
            string inFile = appPath + "\\test.pdf";
            string outFile = appPath + "\\output2.swf";   
           
            int id = MBegin();
            if (id > 0)
            {
                MSetParam(id, M_ARROW, "", 1);
                MSetParam(id, M_PAGE_ZOOM, "", 96);
                MSetParam(id, M_DISABLELINKS, "", 1);
                MSetParam(id, M_BITMAPS, "", 1);
                MConvert(id, inFile, "", outFile);

                MEnd(id);
            }

            MessageBox.Show("Convert finished!");
        }
    }
}
